Skip to content
Start here

List ASes from global routing tables

client.radar.bgp.routes.ases(RouteAsesParams { format, limit, location, 2 more } query?, RequestOptionsoptions?): RouteAsesResponse { asns, meta }
GET/radar/bgp/routes/ases

Retrieves all ASes in the current global routing tables with routing statistics.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query: RouteAsesParams { format, limit, location, 2 more }
format?: "JSON" | "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit?: number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
location?: string

Filters results by location. Specify an alpha-2 location code.

maxLength2
minLength2
sortBy?: "cone" | "pfxs" | "ipv4" | 4 more

Sorts results by the specified field.

One of the following:
"cone"
"pfxs"
"ipv4"
"ipv6"
"rpki_valid"
"rpki_invalid"
"rpki_unknown"
sortOrder?: "ASC" | "DESC"

Sort order.

One of the following:
"ASC"
"DESC"
ReturnsExpand Collapse
RouteAsesResponse { asns, meta }
asns: Array<ASN>
asn: number
coneSize: number

AS’s customer cone size.

country: string

Alpha-2 code for the AS’s registration country.

ipv4Count: number

Number of IPv4 addresses originated by the AS.

ipv6Count: string

Number of IPv6 addresses originated by the AS.

name: string

Name of the AS.

pfxsCount: number

Number of total IP prefixes originated by the AS.

rpkiInvalid: number

Number of RPKI invalid prefixes originated by the AS.

rpkiUnknown: number

Number of RPKI unknown prefixes originated by the AS.

rpkiValid: number

Number of RPKI valid prefixes originated by the AS.

meta: Meta { dataTime, queryTime, totalPeers }
dataTime: string

The timestamp of when the data is generated.

queryTime: string

The timestamp of the query.

totalPeers: number

Total number of route collector peers used to generate this data.

List ASes from global routing tables

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.radar.bgp.routes.ases();

console.log(response.asns);
{
  "result": {
    "asns": [
      {
        "asn": 0,
        "coneSize": 0,
        "country": "US",
        "ipv4Count": 0,
        "ipv6Count": "1.21e24",
        "name": "name",
        "pfxsCount": 0,
        "rpkiInvalid": 0,
        "rpkiUnknown": 0,
        "rpkiValid": 0
      }
    ],
    "meta": {
      "dataTime": "2024-06-03T14:00:00",
      "queryTime": "2024-06-03T14:00:00",
      "totalPeers": 0
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "asns": [
      {
        "asn": 0,
        "coneSize": 0,
        "country": "US",
        "ipv4Count": 0,
        "ipv6Count": "1.21e24",
        "name": "name",
        "pfxsCount": 0,
        "rpkiInvalid": 0,
        "rpkiUnknown": 0,
        "rpkiValid": 0
      }
    ],
    "meta": {
      "dataTime": "2024-06-03T14:00:00",
      "queryTime": "2024-06-03T14:00:00",
      "totalPeers": 0
    }
  },
  "success": true
}